I need to change the compatible parameter from 8.1.0(current setting) to 8.0.0.
The database version is 8.1.6.
I don't need to downgrade the database itself.
All I need to do is change compatible parameter to the lower release.

Most important thing in this procedure is to remove all incompatiblities.
Is there anybody who've done this before?

The step

1. Perform a cold backup.
2. Run utlincmp.sql script.
3. Run utldst.sql script.
4. alter database reset compatibility;
5. shutdown the database.
6. set compatible = 8.0.0
7. startup.

Please, give me some advise.